import request from "@/utils/request";

export function getXrcBase(data) { return request({ url: '/api/gxzz/mpWorkPlan/xrcBase', method: 'post', data }) }
export function xrcList(data) { return request({ url: '/api/gxzz/mpWorkPlan/xrcList', method: 'post', data }) }
export function xrcSh(data) { return request({ url: '/api/gxzz/mpWorkPlan/xrcSh', method: 'post', data }) }
export function xrcMxCx(data) { return request({ url: '/api/gxzz/mpWorkPlan/xrcMxCx', method: 'post', data }) }


export function gclldPrint(data) {
  return request({
    url: '/api/gxzz/mpWorkPlan/gclldPrint',
    method: 'get',
    params: data
  })
}

//工序回报
export function getGxhbList(data) { return request({ url: '/api/gxzz/wgzy/getGxhbList', method: 'post', data }) }
export function updateGxhb(data) { return request({ url: '/api/gxzz/wgzy/updateGxhb', method: 'post', data }) }

//制作完工回报
export function getZzwgHb(data) { return request({ url: '/api/gxzz/wgzy/getZzwgHb', method: 'post', data }) }
export function updateZzwgHb(data) { return request({ url: '/api/gxzz/wgzy/updateZzwgHb', method: 'post', data }) }
export function updateZzwgHbBack(data) { return request({ url: '/api/gxzz/wgzy/updateZzwgHbBack', method: 'post', data }) }
// 管子制作完工转运Base
export function wgzyBase(data) { return request({ url: '/api/gxzz/wgzy/wgzyBase', method: 'post', data }) }
//管子制作完工转运修改
export function updateWgzy(data) { return request({ url: '/api/gxzz/wgzy/updateWgzy', method: 'post', data }) }
export function updateWgzyBack(data) { return request({ url: '/api/gxzz/wgzy/updateWgzyBack', method: 'post', data }) }
export function updateGzzzwgzyZyqx(data) { return request({ url: '/api/gxzz/wgzy/updateGzzzwgzyZyqx', method: 'post', data }) }
export function updateBmcl(data) { return request({ url: '/api/gxzz/wgzy/updateBmcl', method: 'post', data }) }
export function saveRemrakHb(data) { return request({ url: '/api/gxzz/wgzy/saveRemrakHb', method: 'post', data }) }
export function updateBmclBack(data) { return request({ url: '/api/gxzz/wgzy/updateBmclBack', method: 'post', data }) }
export function updateWghb(data) { return request({ url: '/api/gxzz/wgzy/updateWghb', method: 'post', data }) }
export function updateWghbBack(data) { return request({ url: '/api/gxzz/wgzy/updateWghbBack', method: 'post', data }) }
export function updatePpwg(data) { return request({ url: '/api/gxzz/wgzy/updatePpwg', method: 'post', data }) }
export function updatePpwgBack(data) { return request({ url: '/api/gxzz/wgzy/updatePpwgBack', method: 'post', data }) }

export function updateQfpsWh(data) { return request({ url: '/api/gxzz/wgzy/updateQfpsWh', method: 'post', data }) }
export function updateQfpspsxx(data) { return request({ url: '/api/gxzz/wgzy/updateQfpspsxx', method: 'post', data }) }
export function updateQfpsWhRemark(data) { return request({ url: '/api/gxzz/wgzy/updateQfpsWhRemark', method: 'post', data }) }
export function updateQfpsWhBack(data) { return request({ url: '/api/gxzz/wgzy/updateQfpsWhBack', method: 'post', data }) }
export function updatePsjsBack(data) { return request({ url: '/api/gxzz/wgzy/updatePsjsBack', method: 'post', data }) }
export function updatePsjs(data) { return request({ url: '/api/gxzz/wgzy/updatePsjs', method: 'post', data }) }






///根据船号 去向 完工日期 ,车号去打印
export function wgzyPrint(data) { return request({ url: '/api/gxzz/wgzy/wgzyPrint', method: 'post', data }) }
export function qfpsPrint(data) { return request({ url: '/api/gxzz/wgzy/qfpsPrint', method: 'post', data }) }


// ts报验

export function byBase(data) { return request({ url: '/api/gxzz/by/byBase', method: 'post', data }) }

// ts报验审核
export function tsBySqSh(data) { return request({ url: '/api/gxzz/by/tsBySqSh', method: 'post', data }) }
export function tsBySqShBack(data) { return request({ url: '/api/gxzz/by/tsBySqShBack', method: 'post', data }) }
export function generateTsBydh(data) { return request({ url: '/api/gxzz/by/generateTsBydh', method: 'post', data }) }

// 磅压报验
export function bybyBase(data) { return request({ url: '/api/gxzz/byby/getBase', method: 'post', data }) }


// 表面处理
export function findByclByAdd(data) { return request({ url: '/api/gxzz/byby/findByclByAdd', method: 'post', data }) }
export function getBmclBase(data) { return request({ url: '/api/gxzz/byby/getBmclBase', method: 'post', data }) }
export function saveBmclQcinsp(data) { return request({ url: '/api/gxzz/byby/saveBmclQcinsp', method: 'post', data }) }
export function bmclByTj(data) { return request({ url: '/api/gxzz/byby/bmclByTj', method: 'post', data }) }


//补充领料明细单
export function bclldBase(data) { return request({ url: '/api/gxzz/llmxbSupplemen/bclldBase', method: 'post', data }) }
export function findByDuplicate(data) { return request({ url: '/api/gxzz/llmxbSupplemen/findByDuplicate', method: 'post', data }) }
export function findLlmxbById(data) { return request({ url: '/api/gxzz/llmxbSupplemen/findLlmxbById', method: 'post', data }) }
export function delLlmxbById(data) { return request({ url: '/api/gxzz/llmxbSupplemen/delLlmxbById', method: 'post', data }) }
export function delLlmxbByIds(data) { return request({ url: '/api/gxzz/llmxbSupplemen/delLlmxbByIds', method: 'post', data }) }
export function saveBclld(data) { return request({ url: '/api/gxzz/llmxbSupplemen/saveBclld', method: 'post', data }) }
export function bclldtj(data) { return request({ url: '/api/gxzz/llmxbSupplemen/bclldtj', method: 'post', data }) }

export function tjBack(data) { return request({ url: '/api/gxzz/llmxbSupplemen/tjBack', method: 'post', data }) }
export function shBack(data) { return request({ url: '/api/gxzz/llmxbSupplemen/shBack', method: 'post', data }) }
export function bclldSh(data) { return request({ url: '/api/gxzz/llmxbSupplemen/bclldSh', method: 'post', data }) }
export function bclldSp(data) { return request({ url: '/api/gxzz/llmxbSupplemen/bclldSp', method: 'post', data }) }
export function findAll(data) { return request({ url: '/api/gxzz/llmxbSupplemen/findAll', method: 'post', data }) }
export function spBack(data) { return request({ url: '/api/gxzz/llmxbSupplemen/spBack', method: 'post', data }) }
export function gcBclldPrint(data) { return request({ url: '/api/gxzz/llmxbSupplemen/gcBclldPrint', method: 'post', data }) }

export function listScjszb(query) {
  return request({
    url: '/system/scjszb/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getScjszb(id) {
  return request({
    url: '/system/scjszb/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addScjszb(data) {
  return request({
    url: '/system/scjszb',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateScjszb(data) {
  return request({
    url: '/system/scjszb',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delScjszb(id) {
  return request({
    url: '/system/scjszb/' + id,
    method: 'delete'
  })
}

export function wthfbase(data) { return request({ url: '/api/gxzz/scjszb/getBase', method: 'post', data }) }
export function saveWt(data) { return request({ url: '/api/gxzz/scjszb/saveWt', method: 'post', data }) }
export function wtList(data) { return request({ url: '/api/gxzz/scjszb/wtList', method: 'post', data }) }
export function updateWt(data) { return request({ url: '/api/gxzz/scjszb/updateWt', method: 'post', data }) }
export function updateWthf(data) { return request({ url: '/api/gxzz/scjszb/updateWthf', method: 'post', data }) }
export function delWt(data) { return request({ url: '/api/gxzz/scjszb/delWt', method: 'post', data }) }
export function qrwt(data) { return request({ url: '/api/gxzz/scjszb/qrwt', method: 'post', data }) }
